#include "include.h"

/*
BL08M003-ADC-Demo
注意：
1、仿真无法使用PA0/PA1  为通信IO口
2、ADC转换频率建议1M以下
3、上电/复位 都需要进行ADC-OFFSET校准
4、ADC-OFFSET有以下两种校准方式
方式1：使用内部GND通道，校准完成后ADC-OFFSET补偿5个值（10LSB，每个值2LSB/STEP）
方式2：使用外部AN0通道，进行校准ADC-OFFSET，AN0通道需外接下拉电阻到GND。

注：
	不使用带电烧录，建议使用方式一Adc_Offset1();	
	使用带电烧录，且PA0与PA1有接下拉电阻，建议使用方式二Adc_Offset2();

5、校准完成后，不允许修改ADCJMD寄存器的值，否则OFFSET异常。
*/

/*
ADC-OF说明
1、上电后进行ADC-OF校准,校准完毕后，再采集其他通道的值均为正常，不需要软件处理。
2、校准方式：采集内部GND通道的值为非0，则ADC-OF为正偏;若采集内部GND通道的值为0，则ADC-OF为负偏，
通过ADC-OF校准进行调整。
*/

void main(void)
{
	////初始化函数 需要串口以及OP等功能，请在Sys_Int.c文件中修改
	System_Int();
		
	while(1)
	{
		Get_ADC_Int(ADC_CH_1_4VDD,ADC_Vref_2V,ADC_Fre_CPU_4);
		Gui_AdcValue = Get_Adc_Value();
		asm("nop");
		asm("nop");
		asm("nop");
		asm("nop");
		
		////可通过串口工具RX接PC0口接受ADC数据
	
//		SBUF = 0xAA;
//		while(!TXIF);
//		TXIF = 0;
//		
//		SBUF = ADRESH;
//		while(!TXIF);
//		TXIF = 0;
//		
//		SBUF = ADRESL;
//		while(!TXIF);
//		TXIF = 0;	
//	
			
			
	}
}
